%define module_version 0.03
%define module_name udp_proxy
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Perl binding for udpxy
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LE/LEANDR/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch:x86_64

%description
This module binds some udpxy functional to perl. It is possible to
record or transfer unscrambled multicast traffic.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/u*
%perl_vendor_autolib/*

%changelog
* Tue Dec 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2.1
- rebuild with perl 5.22

* Thu Dec 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2
- moved to Sisyphus as dependency

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

